Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class Operation

`java.lang.Object
oracle.ovs.api.datamodel.Operation`

All Implemented Interfaces:
  java.io.Serializable

      public class Operation

extends java.lang.Object
implements java.io.Serializable

Operation data model, Used in `VirtualMachineBase`

See Also:
  Serialized Form

Constructor Summary
`` | `Operation()` static { //OPERATION_STATUS_MAP //POWERON ArrayList ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(UNKNOWN); ret.add(ERROR); OPERATION_STATUS_MAP.put(POWERON,ret); //POWEROFF ret = new ArrayList(); ret.add(RUNNING); ret.add(PAUSED); ret.add(UNKNOWN); ret.add(ERROR); OPERATION_STATUS_MAP.put(POWEROFF,ret); //REBOOT ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(REBOOT,ret); //DELETE ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(ERROR); ret.add(UNKNOWN); OPERATION_STATUS_MAP.put(DELETE,ret); //PAUSE ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(PAUSE,ret); //UNPAUSE ret = new ArrayList(); ret.add(PAUSED); OPERATION_STATUS_MAP.put(UNPAUSE,ret); //SUSPEND ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(SUSPEND,ret); //RESUME ret = new ArrayList(); ret.add(SUSPENDED); OPERATION_STATUS_MAP.put(RESUME,ret); //LIVEMIG ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(LIVEMIG,ret); //CLONE ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(CLONE,ret); //SAVTEM ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(SAVTEM,ret); //EDIT ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(RUNNING); ret.add(PAUSED); ret.add(SUSPENDED); OPERATION_STATUS_MAP.put(EDIT,ret); //PREF_SRV ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(PREF_SRV,ret); //RESET_STATUS ret = new ArrayList(); ret.add(RUNNING); ret.add(POWEREDOFF); ret.add(ERROR); ret.add(UNKNOWN); ret.add(PAUSED); ret.add(SUSPENDED); ret.add(CREATING); ret.add(CLONING); ret.add(DEPLOYING); ret.add(SAVING); ret.add(MIGRATING); ret.add(SUSPENDING); ret.add(RESUMING); ret.add(PAUSING); ret.add(UNPAUSING); ret.add(INITIALIZING); ret.add(SHUTTINGDOWN); ret.add(DELETING); OPERATION_STATUS_MAP.put(RESET_STATUS,ret); }
`protected` | `Operation(java.lang.String op, int code)`

Method Summary
`boolean` | `equals(Operation op)`
`int` | `getCode()`
`java.lang.String` | `getOperation()`
`void` | `setCode(int code)`
`void` | `setOperation(java.lang.String operation)` public List validStatus(){ switch(this.getCode()){ case 0: //POWERON.getCode(): return (List)OPERATION_STATUS_MAP.get(POWERON); case 1: //POWEROFF.getCode(): return (List)OPERATION_STATUS_MAP.get(POWEROFF); case 2: //REBOOT.getCode(): return (List)OPERATION_STATUS_MAP.get(REBOOT); case 3: //DELETE.getCode(): return (List)OPERATION_STATUS_MAP.get(DELETE); case 4: //PAUSE.getCode(): return (List)OPERATION_STATUS_MAP.get(PAUSE); case 5: //UNPAUSE.getCode(): return (List)OPERATION_STATUS_MAP.get(UNPAUSE); case 6: //SUSPEND.getCode(): return (List)OPERATION_STATUS_MAP.get(SUSPEND); case 7: //RESUME.getCode(): return (List)OPERATION_STATUS_MAP.get(RESUME); case 8: //LIVEMIG.getCode(): return (List)OPERATION_STATUS_MAP.get(LIVEMIG); case 9: //CLONE.getCode(): return (List)OPERATION_STATUS_MAP.get(CLONE); case 10: //SAVTEM.getCode(): return (List)OPERATION_STATUS_MAP.get(SAVTEM); case 11: //EDIT return (List)OPERATION_STATUS_MAP.get(EDIT); case 12: //PREF_SRV return (List)OPERATION_STATUS_MAP.get(PREF_SRV); case 13: //RESET_STATUS return (List)OPERATION_STATUS_MAP.get(RESET_STATUS); } return new ArrayList(); }
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Operation

    public Operation()

  static { //OPERATION_STATUS_MAP //POWERON ArrayList ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(UNKNOWN); ret.add(ERROR); OPERATION_STATUS_MAP.put(POWERON,ret); //POWEROFF ret = new ArrayList(); ret.add(RUNNING); ret.add(PAUSED); ret.add(UNKNOWN); ret.add(ERROR); OPERATION_STATUS_MAP.put(POWEROFF,ret); //REBOOT ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(REBOOT,ret); //DELETE ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(ERROR); ret.add(UNKNOWN); OPERATION_STATUS_MAP.put(DELETE,ret); //PAUSE ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(PAUSE,ret); //UNPAUSE ret = new ArrayList(); ret.add(PAUSED); OPERATION_STATUS_MAP.put(UNPAUSE,ret); //SUSPEND ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(SUSPEND,ret); //RESUME ret = new ArrayList(); ret.add(SUSPENDED); OPERATION_STATUS_MAP.put(RESUME,ret); //LIVEMIG ret = new ArrayList(); ret.add(RUNNING); OPERATION_STATUS_MAP.put(LIVEMIG,ret); //CLONE ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(CLONE,ret); //SAVTEM ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(SAVTEM,ret); //EDIT ret = new ArrayList(); ret.add(POWEREDOFF); ret.add(RUNNING); ret.add(PAUSED); ret.add(SUSPENDED); OPERATION_STATUS_MAP.put(EDIT,ret); //PREF_SRV ret = new ArrayList(); ret.add(POWEREDOFF); OPERATION_STATUS_MAP.put(PREF_SRV,ret); //RESET_STATUS ret = new ArrayList(); ret.add(RUNNING); ret.add(POWEREDOFF); ret.add(ERROR); ret.add(UNKNOWN); ret.add(PAUSED); ret.add(SUSPENDED); ret.add(CREATING); ret.add(CLONING); ret.add(DEPLOYING); ret.add(SAVING); ret.add(MIGRATING); ret.add(SUSPENDING); ret.add(RESUMING); ret.add(PAUSING); ret.add(UNPAUSING); ret.add(INITIALIZING); ret.add(SHUTTINGDOWN); ret.add(DELETING); OPERATION_STATUS_MAP.put(RESET_STATUS,ret); }

### Operation

    protected Operation(java.lang.String op,
                        int code)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCode

    public int getCode()

### equals

    public boolean equals(Operation op)

### setOperation

    public void setOperation(java.lang.String operation)

  public List validStatus(){ switch(this.getCode()){ case 0: //POWERON.getCode(): return (List)OPERATION_STATUS_MAP.get(POWERON); case 1: //POWEROFF.getCode(): return (List)OPERATION_STATUS_MAP.get(POWEROFF); case 2: //REBOOT.getCode(): return (List)OPERATION_STATUS_MAP.get(REBOOT); case 3: //DELETE.getCode(): return (List)OPERATION_STATUS_MAP.get(DELETE); case 4: //PAUSE.getCode(): return (List)OPERATION_STATUS_MAP.get(PAUSE); case 5: //UNPAUSE.getCode(): return (List)OPERATION_STATUS_MAP.get(UNPAUSE); case 6: //SUSPEND.getCode(): return (List)OPERATION_STATUS_MAP.get(SUSPEND); case 7: //RESUME.getCode(): return (List)OPERATION_STATUS_MAP.get(RESUME); case 8: //LIVEMIG.getCode(): return (List)OPERATION_STATUS_MAP.get(LIVEMIG); case 9: //CLONE.getCode(): return (List)OPERATION_STATUS_MAP.get(CLONE); case 10: //SAVTEM.getCode(): return (List)OPERATION_STATUS_MAP.get(SAVTEM); case 11: //EDIT return (List)OPERATION_STATUS_MAP.get(EDIT); case 12: //PREF_SRV return (List)OPERATION_STATUS_MAP.get(PREF_SRV); case 13: //RESET_STATUS return (List)OPERATION_STATUS_MAP.get(RESET_STATUS); } return new ArrayList(); }

### getOperation

    public java.lang.String getOperation()

### setCode

    public void setCode(int code)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.